View Issue Details

IDProjectCategoryView StatusLast Update
0034612LazarusPackagespublic2018-12-14 12:32
ReporterAndrey Zubarev Assigned ToMichl  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Summary0034612: AnchorDocking: AV on double loading layout with minimized sites
DescriptionAnchorDocking: AV on double loading layout with minimized sites
Steps To Reproduce1. Run components\anchordocking\minide\ example
2. Load attached layout.xml in minide
3. Again load attached layout.xml in minide
4. Close program, and see AV
TagsNo tags attached.
Fixed in Revisionr59808
LazTarget-
Widgetset
Attached Files

Relationships

related to 0034347 closedMichl AnchorDocking feature (new button: size reduction of the panel) 

Activities

Andrey Zubarev

2018-11-28 11:24

reporter  

layout.xml (1,187 bytes)   
<?xml version="1.0" encoding="utf-8"?>
<CONFIG>
  <MainConfig>
    <Nodes ChildCount="1">
      <Item1 Name="MainIDE" Type="CustomSite" ChildCount="1">
        <Bounds Top="50" Left="100" Width="600" Height="434">
          <WorkArea>
            <Rect Right="2560" Bottom="1440"/>
          </WorkArea>
        </Bounds>
        <Item1 Name="AnchorDockSite5" Type="Layout" ChildCount="3">
          <Bounds Top="68" Width="600" Height="343" SplitterPos="63"/>
          <Anchors Align="Bottom"/>
          <Item1 Name="ObjectInspector" Type="Control">
            <Bounds Width="575" Height="343"/>
            <Anchors Right="AnchorDockSplitter2"/>
          </Item1>
          <Item2 Name="AnchorDockSplitter2" Type="SplitterVertical">
            <Bounds Left="296" Width="4" Height="343"/>
          </Item2>
          <Item3 Name="SourceEditor1" Type="Control" Minimized="True">
            <Bounds Left="579" Width="21" Height="343"/>
            <Anchors Left="AnchorDockSplitter2"/>
          </Item3>
        </Item1>
      </Item1>
    </Nodes>
  </MainConfig>
  <Settings HeaderHighlightFocused="True" DockSitesCanBeMinimized="True"/>
</CONFIG>
layout.xml (1,187 bytes)   

Michl

2018-12-12 22:13

developer   ~0112523

Fixed in trunk. Please test and close if ok.

Andrey Zubarev

2018-12-14 10:37

reporter   ~0112560

Thanks!

Issue History

Date Modified Username Field Change
2018-11-28 11:23 Andrey Zubarev New Issue
2018-11-28 11:24 Andrey Zubarev File Added: layout.xml
2018-12-12 22:09 Michl Assigned To => Michl
2018-12-12 22:09 Michl Status new => assigned
2018-12-12 22:10 Michl Relationship added related to 0034347
2018-12-12 22:13 Michl Fixed in Revision => r59808
2018-12-12 22:13 Michl LazTarget => -
2018-12-12 22:13 Michl Note Added: 0112523
2018-12-12 22:13 Michl Status assigned => resolved
2018-12-12 22:13 Michl Resolution open => fixed
2018-12-14 10:37 Andrey Zubarev Note Added: 0112560
2018-12-14 12:32 Andrey Zubarev Status resolved => closed